import request from "@/utils/request.js";

// 选择交收库列表
export function getAllStoreroomList(data) {
  return request({
    url: "/admin-api/delivery/task/getAllStoreroomList",
    method: "POST",
    data
  });
}
// 我的交收库列表
export function getMyStoreroomList(data) {
  return request({
    url: "/admin-api/delivery/task/getMyStoreroomList",
    method: "POST",
    data
  });
}
// 仓房列表 待选交收库：'listType': 3, 我的交收库：'listType': 4,
export function getCaxxByKqIdForClr(data) {
  return request({
    url: "/admin-api/delivery/task/getCaxxByKqIdForClr",
    method: "POST",
    data
  });
}
// 库区信息
export function getKqxxByKqId(data) {
  return request({
    url: "/admin-api/delivery/task/getKqxxByKqId",
    method: "POST",
    data
  });
}
// 选择仓房
export function getStoreroom(data) {
  return request({
    url: "/admin-api/delivery/task/getStoreroom",
    method: "POST",
    data
  });
}

// 获取货位卡信息
export function getInfoByCfId(caId) {
  return request({
    url: `/admin-api/delivery/task/getHwkByCfId?cfId=${caId}`,
    // url: `/admin-api/delivery/task/getHwkByCfId?cfId=645286490095685`,
    method: "GET"
  });
}

// 获取损益信息
export function getSyxxByCfId(caId) {
  return request({
    url: `/admin-api/delivery/task/getSyxxByCfId?cfId=${caId}`,
    // url: `/admin-api/delivery/task/getSyxxByCfId?cfId=645286490095685`,
    method: "GET"
  });
}

// 获取粮情检测信息
export function getLqjcxxByCfId(caId) {
  return request({
    url: `/admin-api/delivery/task/getLqjcxxByCfId?cfId=${caId}`,
    // url: `/admin-api/delivery/task/getLqjcxxByCfId?cfId=12922`,
    method: "GET"
  });
}

// 获取出入库信息列表
export function getCrkxxByCfId(data) {
  return request({
    url: `/admin-api/delivery/task/getCrkxxByCfId`,
    method: "POST",
    data
  });
}

// 获取质检信息列表
export function getZjxxByCfId(data) {
  return request({
    url: `/admin-api/delivery/task/getZjxxByCfId`,
    method: "POST",
    data
  });
}