import request from "@/utils/request.js";

export function login(data) {
  return request({
    url: "/admin-api/system/auth/login",
    method: "POST",
    data,
  });
}

export function getUserInfo() {
  return request({
    url: "/admin-api/system/auth/get-permission-info",
    method: "GET",
  });
}
// 字典
export function dictData(type) {
  return request({
    url: `/admin-api/system/dict-data/type?type=${type}`,
    method: "GET"
  });
}
