import request from "@/utils/request.js";

// 核验待选任务列表 / 我的任务列表
export function getTaskList(data) {
  return request({
    url: "/admin-api/delivery/task/getTaskList",
    method: "POST",
    data,
  });
}

// 根据库区id获取仓房列表
export function getCaxxByKqId(data) {
  return request({
    url: "/admin-api/delivery/task/getCaxxByKqId",
    method: "POST",
    data,
  });
}

// 根据库区id获取详细情况
export function getKqxxByKqId(data) {
  return request({
    url: "/admin-api/delivery/task/getKqxxByKqId",
    method: "POST",
    data,
  });
}

// 领取任务、通过、驳回任务
export function getTasks(data) {
  return request({
    url: "/admin-api/delivery/task/getTasks",
    method: "POST",
    data,
  });
}

// 获取打卡信息
export function getClockInInfoApi(data) {
  return request({
    url: "/admin-api/delivery/task/getDkxxByKqId",
    method: "POST",
    data,
  });
}

// 打卡
export function saveClockInInfo(data) {
  return request({
    url: "/admin-api/delivery/task/setDkxxByKqId",
    method: "POST",
    data,
  });
}

// 获取财务信息
export function getFinanceInfoApi(data) {
  return request({
    url: "/admin-api/delivery/task/getCwxxByKqId",
    method: "POST",
    data,
  });
}

// 注册
export function createKuquInfo(data) {
  return request({
    url: "/admin-api/system/user/create",
    method: "POST",
    data,
  });
}

// 获取图片信息
export function getImageInfo(data) {
  return request({
    url: `/admin-api/infra/file/getFiles?ids=${data.ids}`,
    method: "GET",
    // : data,
  });
}
